Package org.silverpeas.components.gallery.notification

## Class AlbumMediaEvent

- java.lang.Object
- - org.silverpeas.core.notification.system.AbstractResourceEvent<AlbumMedia>
  - - org.silverpeas.components.gallery.notification.AlbumMediaEvent

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.notification.system.ResourceEvent<AlbumMedia>`

      public class AlbumMediaEvent
      extends org.silverpeas.core.notification.system.AbstractResourceEvent<AlbumMedia>

  An event about `AlbumMedia` instances. Such an event is triggered when a change occurred for a media, and it is sent by the system notification bus.
  Author:
    silveryocha
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.silverpeas.core.notification.system.ResourceEvent

      `org.silverpeas.core.notification.system.ResourceEvent.Type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AlbumMediaEvent​(org.silverpeas.core.notification.system.ResourceEvent.Type type, @NotNull AlbumMedia... media)` | Constructs a new lifecycle event with the specified type and that implies the specified `AlbumMedia` instances, each of them representing a different state in the lifecycle of the media.

  - ### Method Summary

    - ### Methods inherited from class org.silverpeas.core.notification.system.AbstractResourceEvent

      `equals, getParameters, getParameterValue, getTransition, getType, hashCode, putParameter`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.notification.system.ResourceEvent

      `isOnCreation, isOnDeletion, isOnRecovery, isOnRemoving, isOnUpdate`

- - ### Constructor Detail

    - #### AlbumMediaEvent

          public AlbumMediaEvent​(org.silverpeas.core.notification.system.ResourceEvent.Type type,
                                 @NotNull
                                 @NotNull AlbumMedia... media)

      Constructs a new lifecycle event with the specified type and that implies the specified `AlbumMedia` instances, each of them representing a different state in the lifecycle of the media.
      Parameters:
        `type` - the type of the lifecycle event (the type of the transition occurring in the media's lifecycle).
        `media` - the states of a media concerned by a state transition in its lifecycle.